class SomeController < ApplicationController
  around_filter :catch_exception

  private
  def catch_exceptions
    yield
  rescue => exception
    # Pokemon-Exception-Handling not evil here
    logger.debug "Caught exception! #{exception}"
    raise
  end
end
