# app/helpers/application_helper.rb
module ApplicationHelper
  def present(object, klass=nil)
    klass ||= "#{object.class}Presenter".constantize
    presenter = klass.new(object, self)
    yield self if block_given?
    presenter
  end
end
