class EventsController < ActionController::Base
  def new
    # renders app/views/events/new.html.erb
  end

  def create
    @event = Event.new(params[:event])

    if @event.save
      flash[:notice] = "Event created!"
      redirect_to @event
    else
      render action: "new"
      # does NOT execute the new action
    end
  end
end
